Bug 31133 - S4 Connector should log modlist for connector/debug/level=INFO
S4 Connector should log modlist for connector/debug/level=INFO
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 3.1
Other Linux
: P2 normal (vote)
: UCS 3.2
Assigned To: Arvid Requate
Stefan Gohmann
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 21:11 CEST by Arvid Requate
Modified: 2017-01-25 16:17 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-04-22 21:11:37 CEST
The S4 Connector should log the sync_from_ucs modlist for connector/debug/level=INFO

+++ This bug was initially created as a clone of Bug #29988 +++
Comment 1 Arvid Requate univentionstaff 2013-04-22 21:13:25 CEST
Following the idea of Bug 29988, it should also print the modlist/addlist in case of a traceback during the ldap modify/add (with loglevel error).
Comment 2 Arvid Requate univentionstaff 2013-05-07 11:29:56 CEST
This would have been incredibly useful again for Ticket#: 2013041821001047. Sigh.
Comment 3 Arvid Requate univentionstaff 2013-05-27 16:23:30 CEST
Would have been useful for Bug 31420.
Comment 4 Arvid Requate univentionstaff 2013-07-15 18:29:18 CEST
Fixed.
Comment 5 Stefan Gohmann univentionstaff 2013-08-09 07:33:23 CEST
I see the modlist for UCS → S4 but not for the way S4 → UCS.

A changelog entry is missing.
Comment 6 Arvid Requate univentionstaff 2013-08-13 15:27:01 CEST
S4 to UCS sync uses the UDM API, it's currently difficult to obtain a modlist from this. Changelog entry should be present in changelog-3.2.xml
Comment 7 Stefan Gohmann univentionstaff 2013-08-14 09:03:17 CEST
(In reply to Arvid Requate from comment #6)
> S4 to UCS sync uses the UDM API, it's currently difficult to obtain a
> modlist from this. Changelog entry should be present in changelog-3.2.xml

OK, changelog is OK too (I searched in the wrong pdf file).
Comment 8 Stefan Gohmann univentionstaff 2013-11-19 06:43:34 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".